# Create a contract and legal entity ID

Use this endpoint to create a partner card for a new partner and invite them to sign a contract with Booking.com

Endpoint: POST /partners/invite
Version: 1.0.0

## Header parameters:

  - `Authorization` (string)

## Request fields (application/json):

  - `city` (string)
    City name of the partner company.

  - `company_name` (string, required)
    Commercial name of the company. Use the partner name if a commercial name is not available.

  - `contract_countries` (array)
    List of country codes where the partner has properties.

  - `country` (string)
    Country code of the partner company.

  - `is_test` (integer)
    Indicates whether to create a test partner. Set to 1 for test partners, 0 for production partners.
    Enum: 0, 1

  - `legal_contact_email` (string, required)
    Contact email of the partner. This is treated as the unique identifier for the partner.

  - `legal_contact_name` (string, required)
    Contact name of the person authorized to sign.

  - `legal_contact_phone_number` (string)
    Contact phone number of the partner.

  - `legal_name` (string)
    Legal name of the company used for official registration. Use the partner name if a legal name is not available.

  - `preferred_language` (string, required)
    The partner's preferred language code for communication.

  - `street` (string)
    Street name of the partner company.

  - `total_number_of_properties` (integer)
    Total number of properties that the partner has.

  - `website` (string)
    Website of the partner, if any.

  - `zipcode` (string)
    Zipcode of the partner company.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.legal_entity_id` (integer, required)
    The unique legal entity ID of the partner.
    Example: 22567

  - `errors` (array)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "XNlckRhdGEkYWJjZGVmZ2hpamtsbW5vcHFyc3R1dnd4eXoxMjM0NTY3ODkwQUJDREVGR0hJSktMTU5PUFFSU1RVVldYWVoxMjM0NTY3ODkw="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 201 fields (application/json):

  - `data` (object)

  - `data.legal_entity_id` (integer, required)
    The unique legal entity ID of the partner.
    Example: 22567

  - `errors` (array)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.


